System.Web 2.0.0.0 System.Object System.Web.UI.IStateManager

The class is used to represent the primary key for a record in a data-bound control. The primary key for a record can be composed of one of more fields from the data source. Although the class is not a collection, it can store multiple key field values. The key field values are populated when one of the constructors for the class is called. You can retrieve a key field value from a object in the following ways:

Use the property to retrieve a key field value at a specific index in the object.

Use the property to retrieve a key field value of a specific field.

Use the property to retrieve the value of the key field at index 0 in the object. This property is often used as a shortcut to retrieve the key value of a record when the primary key contains only one field.

Use the property to create an object that can be used to iterate through the key field values.

In general, objects are automatically generated by data-bound controls when the control's DataKeyNames property is set. The objects contain the values of the key field or fields specified in the DataKeyNames property. Data-bound controls that display a single record at a time (such as or ) generally store the object for the current record displayed in the DataKey property of the control. Data-bound controls that display multiple records at a time (such as ) generally store the objects for each record in the control in a collection. The collection is then stored in the DataKeys property of the control.

Represents the primary key field or fields of a record in a data-bound control.

- Constructor

  Use this constructor to create a new instance of the class using the specified dictionary of key field values. The field values contained in the object passed in for the parameter are used to populate the object.

  This version of the constructor does not allow you to specify a list of field names in advance for the object. Because the field names are not specified in advance, both the field names and values are stored in view state. To specify a list of field names in advance, use the constructor.

  Initializes a new instance of the class using the specified dictionary of key field values.

  An that contains the key field values.
  2.0.0.0
- Constructor

  Use this constructor to create a new instance of the class using the specified dictionary of key field values and array of field names. The field values contained in the object passed in for the parameter are used to populate the object. This constructor also allows you to specify a list of the key field names for the object in advance through the parameter. Because the field names are specified in advance, only the key field values are stored in view state when this constructor is used.

  Initializes a new instance of the class using the specified dictionary of key field values and array of field names.

  The key field values.
  An array of strings that contain the names of the key fields.
  2.0.0.0
- Property
  System.Boolean To be added.

  The property is used to determine whether the object is tracking its view-state changes.

  This property is used primarily by control developers.

  Gets a value indicating whether the object is tracking its view-state changes.

  2.0.0.0
- Property
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added.

  This method is used primarily by the .NET Framework infrastructure and is not intended to be used directly from your code. However, control developers can override this method to specify how a custom server control restores its view state. For more information, see ASP.NET State Management Overview.

  The method is used to load the previously saved view state of the object.

  Loads the previously saved view state of the object.

  2.0.0.0
- Method
  System.Object

  The method is a helper method used by the class to save the state of the object.

  This method is used primarily by control developers.

  Saves the current view state of the object.

  An that contains the saved state of the object.

  2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added.

  The property is used to determine whether the object is tracking its view-state changes.

  Gets a value indicating whether the object is tracking its view-state changes.

- Method
  2.0.0.0
  System.Void `` To be added.

  The method is used to load the previously saved view state of the object.

  Loads the previously saved view state of the object.

- Method
  2.0.0.0
  System.Object

  The method is a helper method used by the class to save the state of the object.

  Saves the current view state of the object.

  An that contains the saved state of the object.

- Method
  2.0.0.0
  System.Void

  This method is overridden to mark the starting point at which to begin tracking and saving changes to the object as part of the object's view state.

  Marks the starting point at which to begin tracking and saving view-state changes to the object.

- Method
  System.Void

  This method is overridden to mark the starting point at which to begin tracking and saving changes to the object as part of the object's view state.

  Marks the starting point at which to begin tracking and saving view-state changes to the object.

  2.0.0.0
- Property
  System.Object To be added.

  Instead of using the or the property to retrieve a key field value from a object, you can use the property as a shortcut to determine the value of the key field at index 0 in the object. This property is commonly used to determine the key field value of a record when the record has only one key field.

  If the object does not contain any key fields, null is returned.

  Gets the value of the key field at index 0 in the object.

  2.0.0.0
- Property
  System.Collections.Specialized.IOrderedDictionary To be added.

  Use the property to retrieve an object that contains every key field in the object. The object is often used to iterate through the key fields of a record.

  Gets an object that contains every key field in the object.

  2.0.0.0